<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:pe="http://primefaces.org/ui/extensions"
	template="/templates/template.xhtml">
	<ui:define name="content">
    <h:form id="formPAE">
    	<h3 style="margin-top:0">Programa de acompañamiento de egreso</h3>
    	<p:separator></p:separator>
        <p:panelGrid id="panelPAE"  columns="3" cellpadding="2" >

       			<p:outputLabel for="iiLegajo" value="Legajo :"/>
       			<p:autoComplete  id="iiLegajo" queryDelay="1000" value="#{intervencionPAEMB.instance.legajo}"  completeMethod="#{commonSelectorsMB.getAutoCompleteLegajo}" 
							 var="legajoVF" itemValue="#{legajoVF}" itemLabel="#{legajoVF.apellidoYNombre}" converter="legajoConverter" dropdown="true"
							 disabled="#{intervencionPAEMB.legajoActivo}" 
							 readonly="#{!intervencionPAEMB.puedeEditar()}" required="true">
				</p:autoComplete>
				<p:message  for="iiLegajo" display="icon"/>

	            <p:outputLabel for="iiZonal" value="Equipo Territorial Provincial :"/>
	       		<p:selectOneMenu id="iiZonal" value="#{intervencionPAEMB.instance.zonal}" converter="zonalConverter" required="true"
	       				disabled="#{!intervencionPAEMB.puedeEditar()}">
	           		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
	           		<f:selectItems value="#{intervencionPAEMB.zonales}" var="zonal"
	                          itemValue="#{zonal}"
	                          itemLabel="#{zonal.nombre}"/>
	       		</p:selectOneMenu>
	       		<p:message  for="iiZonal" display="icon"/>
		            
		        <p:outputLabel for="iiFecha" value="Fecha : " />
				<p:calendar id="iiFecha" value="#{intervencionPAEMB.instance.fecha}" 
					disabled="#{!intervencionPAEMB.puedeEditar()}" showOn="button" 
					required="true" navigator="true">
					<p:ajax event="change" process="@this"/>
				</p:calendar>      
           		<p:message  for="iiFecha" display="icon"/>
           		
				<p:outputLabel for="iiDimension" value="Dimension :"/>
           		<p:selectOneMenu id="iiDimension" value="#{intervencionPAEMB.instance.dimension}" 
           				converter="dimensionConverter" required="true"
           				disabled="#{!intervencionPAEMB.puedeEditar()}">
               		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
               		<f:selectItems value="#{commonSelectorsMB.getDimensiones()}" var="dim"
                              itemValue="#{dim}"
                              itemLabel="#{dim.descripcion}"/>
           		</p:selectOneMenu>
           		<p:message  for="iiDimension" display="icon"/>           		
           		
           		<p:outputLabel for="iiTpoInter" value="Tipo de Intervención :"/>
           		<p:autoComplete id="iiTpoInter" queryDelay="1000" 
           				value="#{intervencionPAEMB.instance.tipoIntervencion}" 
           				required="true"
           				disabled="#{!intervencionPAEMB.puedeEditar()}"
           				completeMethod="#{commonSelectorsMB.getAutoCompleteTipoIntervencion}"
           				var="tipoIntVF" itemValue="#{tipoIntVF}"
           				itemLabel="#{tipoIntVF.descripcion}"
           				converter="tipoIntervencionConverter"
           				label="Tipo Intervención" dropdown="true">
           			<f:attribute name="filter" value="#{intervencionPAEMB.instance.tipoIntervencion}" />
           			<f:attribute name="circ" value="PAE" />
           			<f:attribute name="soloIncPAE" value="#{intervencionPAEMB.cargarSoloPAE()}"/>
                    <p:ajax event="itemSelect" listener="#{intervencionPAEMB.onTipoIntervencionChange}" 
                    		update="iiInforme,iiAttach,panelEAF,iiReferente,conf " />
           		</p:autoComplete>
           		<p:message  for="iiTpoInter" display="icon"/>

           		<p:outputLabel for="iiReferente" value="Referente :"/>
           		<p:autoComplete id="iiReferente" queryDelay="1000" 
           				value="#{intervencionPAEMB.instance.legajo.referentePAE}" 
           				required="true"
           				disabled="#{!intervencionPAEMB.puedeEditar() ||
           					!intervencionPAEMB.esPAEInicial(intervencionPAEMB.instance.tipoIntervencion)}"
           				completeMethod="#{commonSelectorsMB.getAutoCompleteAcompaniante}"
           				var="acomp" itemValue="#{acomp}"
           				itemLabel="#{acomp.apellidoYNombre}"
           				converter="acompanianteConverter"
           				label="Referente" dropdown="true">
           		</p:autoComplete>
           		<p:message  for="iiReferente" display="icon"/>

				<p:outputLabel value=""  />
				<p:accordionPanel id="panelEAF" activeIndex="#{intervencionPAEMB.expandAlojamiento}" >
				<p:tab title="Domicilio del joven">
				<h:panelGrid columns="2" >
						<p:outputLabel value="Ámbito de alojamiento de la medida"  />
						<p:selectOneMenu id="ambito" value="#{intervencionPAEMB.instance.domicilioJoven}"
								disabled="#{!intervencionPAEMB.esPAEInicial(intervencionPAEMB.instance.tipoIntervencion)}" >
		               		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
		               		<f:selectItems value="#{commonSelectorsMB.getDomicilioJoven()}" var="aC"
		                              itemValue="#{aC}"
		                              itemLabel="#{aC.descripcion}"/>
		                    <p:ajax event="change" update="flia inst comFliaAmp" listener="#{intervencionPAEMB.cambiaDomicilio()}"/>
           				</p:selectOneMenu>
           				
           				<p:outputLabel value="Institucion"  />
           				<p:selectOneMenu id="inst" value="#{intervencionPAEMB.instance.institucion}"
								disabled="#{intervencionPAEMB.instance.domicilioJoven!='FORMAL' ||
									!intervencionPAEMB.esPAEInicial(intervencionPAEMB.instance.tipoIntervencion)}" 
								converter="institucionConverter">
		               		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
		               		<f:selectItems value="#{commonSelectorsMB.getInstituciones()}" var="aC"
		                              itemValue="#{aC}"
		                              itemLabel="#{aC.nombre}"/>	
		                    <p:ajax event="change" update="flia" listener="#{intervencionPAEMB.cambiaInstitucion()}"/>	                    
           				</p:selectOneMenu>
           				
           				<p:outputLabel value="Familia"  />
           				<p:selectOneMenu id="flia" value="#{intervencionPAEMB.instance.familia}"
								converter="familiaConverter"
								disabled="#{intervencionPAEMB.instance.domicilioJoven!='FORMAL' ||
									!intervencionPAEMB.esPAEInicial(intervencionPAEMB.instance.tipoIntervencion)}" >
		               		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
		               		<f:selectItems value="#{commonSelectorsMB.getFamilias()}" var="aC"
		                              itemValue="#{aC}"
		                              itemLabel="#{aC.identificacion}"/>
		                    <p:ajax event="change" update="inst" listener="#{intervencionPAEMB.cambiaFamilia()}"/>
           				</p:selectOneMenu>
           				
           				<p:outputLabel value="Domicilio actual :"/>
		           		<p:inputTextarea id="comFliaAmp" value="#{intervencionPAEMB.instance.txtDomicilioJoven}"  
	            			rows="5" cols="50" disabled="#{intervencionPAEMB.instance.domicilioJoven!='VIVIENDA' ||!intervencionPAEMB.esPAEInicial(intervencionPAEMB.instance.tipoIntervencion)}"/>
				</h:panelGrid>
				</p:tab>
				</p:accordionPanel>
				<h:panelGroup/>
				
				<p:outputLabel for="conf" value="Conformidad del joven :"  />
		        <p:selectOneRadio id="conf" value="#{intervencionPAEMB.instance.conformidad}"  layout="grid" columns="2" label="Conformidad del joven" 
		        		disabled="#{!intervencionPAEMB.esPAEInicial(intervencionPAEMB.instance.tipoIntervencion)}" required="true">
		            <f:selectItems value="#{commonSelectorsMB.valoresSiNo}" var="c" itemValue="#{c}"/>
		        </p:selectOneRadio>
		        <p:message  for="conf" display="icon"/>
				
				<p:outputLabel for="iiAttach" value="Declaracion jurada :"  />
				<h:panelGroup>
					<p:fileUpload fileUploadListener="#{intervencionPAEMB.handleFileUpload}" mode="advanced" dragDropSupport="false"
	           			fileLimit="1" update="iiFileName" allowTypes="/(\.|\/)(doc|dotx|docx|docm|jpg|jpeg|gif|png|pdf)$/" id="iiAttach"
	           			disabled="#{!intervencionPAEMB.instance.tipoIntervencion.puedeAdjuntarDoc 
							||!intervencionPAEMB.esPAEInicial(intervencionPAEMB.instance.tipoIntervencion)}" 
	           			label="Seleccionar" uploadLabel="Subir"/>									
					
					<p:commandButton value="Descargar..." ajax="false" 
								onclick="PrimeFaces.monitorDownload(start, stop);" 
								icon="ui-icon-arrowthick-1-s" immediate="true"
								disabled="#{empty intervencionPAEMB.instance.archivoAdjunto}">
	        				<p:fileDownload  value="#{intervencionPAEMB.downloadFile(intervencionPAEMB.instance.archivoAdjunto)}" />
	    			</p:commandButton>  				
				
					<p:outputLabel id="iiFileName" value="  #{intervencionPAEMB.instance.archivoAdjunto}"/>
				</h:panelGroup>
				<h:panelGroup/>
				
				<p:outputLabel value="Informe :"/>
				<pe:ckEditor 
           			id="iiInforme" 
           			widgetVar="informeWidget" 
           			value="#{intervencionPAEMB.instance.informe}"
           			width="800"
           			height="400"
           			 toolbar="[['Cut','Copy','Paste','PasteText','-','Format','Font','FontSize','-',
                                'Bold','Italic','Underline','Strike','Subscript','Superscript','-','NumberedList','BulletedList','-',
                                'JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock','-','BidiLtr','BidiRtl','-',
                                'TextColor','BGColor','-','Image','Link','Unlink','-','RemoveFormat']]"
           			disabled="#{!intervencionPAEMB.puedeEditar()}"/>
           		<h:panelGroup/>
				
        		<p:outputLabel for="estado" value="Estado :"
        			rendered="#{intervencionPAEMB.isSupervisada()}"/>
           		<p:outputLabel id="estado"    style="font-weight:bold"
           			value="#{intervencionPAEMB.instance.estadoSuperv.name}" 
           			rendered="#{intervencionPAEMB.isSupervisada()}"/>
           		<h:panelGroup/>
           		
			</p:panelGrid>
           	<p:commandButton id="add" value="Guardar" action="#{intervencionPAEMB.save}" ajax="false"
           		rendered="#{intervencionPAEMB.puedeEditar()}"/>
            <p:commandButton id="cancel" value="Cancelar" action="#{intervencionPAEMB.cancel}" ajax="false"  immediate="true"/>
           	<p:commandButton id="aceptar" value="Aprobar" action="#{intervencionPAEMB.aprobarPAE()}" ajax="false"
           		rendered="#{intervencionPAEMB.puedeSuperv()}"/>
    		<p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
		        <p:commandButton value="Guardar" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
    		</p:confirmDialog>         		
           	<p:commandButton id="rechazar" value="Rechazar" action="#{intervencionPAEMB.rechazarPAE()}" ajax="false"
           		rendered="#{intervencionPAEMB.puedeSuperv()}"/>  
           	<p:commandButton 
    			action="#{intervencionPAEMB.imprimir()}" 
    			value="Imprimir Informe"  
    			icon="ui-icon-print" 
                ajax="false">
            </p:commandButton>	
    		<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
    </h:form>
	</ui:define>
</ui:composition>